package com.ruoyi.demo.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.Order;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/order")
public class OrderController {
    @Autowired
    OrderService orderService;

    @PostMapping()
    public R addOrder(@RequestBody Order order){
        int i = orderService.addOrder(order);
        if (i == 1)
            return R.ok("添加成功");
        return R.fail("添加失败");
    }

    @GetMapping("/list")
    public R orderList(PlanBo bo){
        return R.ok(orderService.getOrderList(bo));
    }
}
