package com.ruoyi.demo.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.service.StatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/statistics")
public class StatisticsController {
    @Autowired
    StatisticsService statisticsService;

    @GetMapping("/scanList")
    public R scanList(PlanBo bo){
        return R.ok(statisticsService.getScanList(bo));
    }

    @GetMapping("/total")
    public R scanTotal(){
        return R.ok(statisticsService.getScanTotal());
    }
}
