package com.ruoyi.demo.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.demo.entity.Store;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class StoreVo {
    private String storeId;
    @NotBlank(groups={AddGroup.class})
    private String storeName;
    @NotBlank(groups={AddGroup.class})
    private String addrInfo;
    @NotBlank(groups={AddGroup.class})
    private String addrCode;
    private String addrCodeInfo;

    private BigDecimal lat;
    private BigDecimal lng;
    private String point;
    private LocalDateTime createTime;

    private String searchText;

    private int pageNum;
    private int pageSize;

    @NotBlank(groups={AddGroup.class})
    private String principalName;
    @NotBlank(groups={AddGroup.class})
    private String principalTelephone;


}
