package com.ruoyi.demo.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Data
public class AppVo {
    private String appkey;

    @NotBlank(groups = {AddGroup.class})
    private String appLogo;
    @NotBlank(groups = {AddGroup.class})
    private String appName;
    private String appIntroduce;

    @NotBlank(groups = {AddGroup.class})
    private String commercialId;

    @NotBlank(groups = {AddGroup.class})
    private String commercialName;

    private int state;
    @NotBlank(groups = {AddGroup.class})
    private String callBack;
    private String appSecret;
    private String prove1;
    private String prove2;
    private String prove3;
    private String prove4;
    private String prove5;
    private LocalDateTime create_time;
    private String annotation;
    private int show_detele;

    private String searchText;

    private int pageNum = 1;
    private int pageSize = 10;
}
