package com.ruoyi.demo.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class EquipmentVo {
    private String equipmentId;
    @NotBlank(groups = {AddGroup.class})
    private String equipmentName;
    @NotBlank(groups = {AddGroup.class})
    private String addrInfo;
    @NotBlank(groups = {AddGroup.class})
    private String addrCode;
    private String addrCodeInfo;

    private BigDecimal lat;
    private BigDecimal lng;
    private int state;
    private int onState;
    private String storeId;
    private String manufacturers;
    private String searchText;
    private String annotation;

    private int pageNum;
    private int pageSize;

    @NotBlank(groups = {AddGroup.class})
    private String maintainName;
    @NotBlank(groups = {AddGroup.class})
    private String maintainTelephone;
    private LocalDateTime enterTime;
    private LocalDateTime updateTime;
    private int showDetele;
}
